Ruby on Railsチュートリアルでbcryptのエラー

Pocket

Ruby on Railsチュートリアルでbcryptのエラーが出ました。環境はWindows上のMSYS2+Ruby 2.4です。

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/bcrypt-3.1.11-x64-mingw32/lib/bcrypt.rb:16:in `require': cannot load such file -- bcrypt_ext (LoadError)

こちらのようにしたら動きました。最後の'bcrypt-ruby'を設定する方法です。

gem 'bcrypt' で起動時Error&ページアクセス時にもError

bcrypt 3.1.11でWindowsの修正が入ったという情報がありますが、なぜか動ないんですよね。

Pocket

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*